body {
    margin: 0;
    font-family: Arial;
    text-align: center;
    background: linear-gradient(135deg, #111, #222);
    color: white;
}

#menu {
    margin-top: 100px;
}

button {
    padding: 12px 25px;
    font-size: 18px;
    cursor: pointer;
    border: none;
    border-radius: 8px;
}

#hud {
    display: none;
    justify-content: space-around;
    padding: 10px;
}

#game {
    display: none;
}

#track {
    position: relative;
    width: 1000px;
    height: 300px;
    margin: auto;
    background: #333;
    border: 4px solid white;
    overflow: hidden;
}

.player {
    width: 30px;
    height: 30px;
    position: absolute;
    left: 0;
}

#player1 {
    background: red;
    top: 70px;

}

#player2 {
    background: blue;
    top: 180px;
}

#finish-line {
    position: absolute;
    right: 0;
    width: 10px;
    height: 100%;
    background: yellow;
}

.obstacle {
    width: 40px;
    height: 40px;
    background: white;
    position: absolute;
}

#winner {
    font-size: 30px;
    margin-top: 20px;
}